# GimpUi.LabelStringWidget.new

    function new(text: String, widget: Gtk.Widget): Gtk.Widget {
        // Gjs wrapper for gimp_label_string_widget_new()
    }

Creates a new GimpUi.LabelStringWidget whose "value" property is bound to that of widget (which must therefore have such a string property).

text

  The text for the Gtk.Label.

widget

  The Gtk.Widget to use.

Returns

  The new GimpUi.LabelStringWidget widget.